Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040519
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementcriticalalways2019-04-04 11:252019-05-21 15:16
ReporterngarciaView Statuspublic 
Assigned Tononofrancisco 
PriorityimmediateResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisionc11d43f00ade
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040519: Cost Adjustments are being posted in accounting dates that belong to closed periods with wrong period

DescriptionCost Adjustments are being posted in accounting dates that belong to closed periods with wrong period
Steps To ReproduceAs group admin role:
   Unschedule the Acct Server process in Process Request window
   Go to Product window and select a stocked item
   Add a manual cost adjustment to a transaction of Dec-18
   Set it's accounting date as 01-12-2018
   Go to Open/Close Period Control window
   Close Dec-18

   Go to Cost Adjustment window and post the Manual Cost Correction created
   Check the accounting tab of one of the lines is 01-12-2018
   Check the document can be posted although the period is closed
   Go to Accounting tab and check the Period selected does not match the accounting date
   Go to Open/Close Period Control window
   Open Dec-18
   Try to unpost the document (by selecting the Delete accounting entry option) and check you will get the following error message:
      Period Closed. It is not possible to unpost a document in a closed period
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111032)
nonofrancisco (developer)
2019-04-08 22:58
edited on: 2019-04-10 20:22

As group admin role:
   Unschedule the Acct Server process in Process Request window
   Go to Product window and select a "Cerveza Ale"
   Go to Transactions Tab
   Select transaction with movement date 18-12-2018
   Add a manual cost adjustment
     Set it's accounting date as 01-12-2018
     Set total amount to 56000
   Add a manual cost adjustment to a transaction of Dec-18
   Set it's accounting date as 01-12-2018

   Go to Open/Close Period Control window
   Close Dec-18

   Go to Cost Adjustment window and post the Manual Cost Correction created
   Realize an error message is shown indicating the period is closed

(0111178)
hgbot (developer)
2019-04-17 11:39

Repository: erp/devel/pi
Changeset: c11d43f00adebb79d3026b8862c3b54782995d05
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Mon Apr 15 12:37:16 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c11d43f00adebb79d3026b8862c3b54782995d05 [^]

Fixes issue 40519: Prevents post CostAdjustment with closed periods

For CostAdjustments, the accounting date is a property of CostAdjustmentLines,
the date considered to get the period is the reference date of the document,
causing a CostAdjustment with reference date in an open period can be posted
even when there are lines with accounting date in a closed period.

This fix prevents a CostAdjustment to be posted if there is at least one line
with accounting date in a closed period.

---
M src/org/openbravo/erpCommon/ad_forms/DocCostAdjustment.java
---
(0111179)
hgbot (developer)
2019-04-17 11:40

Repository: erp/devel/pi
Changeset: 68baacc03b4a6d0fc5982b45478cffdec2297d43
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Apr 15 17:58:20 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/68baacc03b4a6d0fc5982b45478cffdec2297d43 [^]

related to issue 40519 code review changes

---
M src/org/openbravo/erpCommon/ad_forms/DocCostAdjustment.java
---
(0111188)
Sandrahuguet (developer)
2019-04-17 12:41

Code review + testing OK
(0111980)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test
(0111981)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-04 11:25 ngarcia New Issue
2019-04-04 11:25 ngarcia Assigned To => Triage Finance
2019-04-04 11:25 ngarcia Modules => Core
2019-04-04 11:25 ngarcia Triggers an Emergency Pack => No
2019-04-04 11:28 jfrances Issue Monitored: jfrances
2019-04-04 12:14 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-04-04 18:09 nonofrancisco Status new => acknowledged
2019-04-04 21:17 nonofrancisco Status acknowledged => scheduled
2019-04-05 09:55 ngarcia Steps to Reproduce Updated View Revisions
2019-04-08 22:58 nonofrancisco Note Added: 0111032
2019-04-10 20:22 nonofrancisco Note Edited: 0111032 View Revisions
2019-04-17 11:39 hgbot Checkin
2019-04-17 11:39 hgbot Note Added: 0111178
2019-04-17 11:39 hgbot Status scheduled => resolved
2019-04-17 11:39 hgbot Resolution open => fixed
2019-04-17 11:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c11d43f00adebb79d3026b8862c3b54782995d05 [^]
2019-04-17 11:40 hgbot Checkin
2019-04-17 11:40 hgbot Note Added: 0111179
2019-04-17 12:41 Sandrahuguet Review Assigned To => Sandrahuguet
2019-04-17 12:41 Sandrahuguet Note Added: 0111188
2019-04-17 12:41 Sandrahuguet Status resolved => closed
2019-04-17 12:41 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111980
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111981


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker